## UI Utility functions UI Utility functions — Set of UI related functions |

## Stability Level

Stable, unless otherwise indicated

## Functions

GdauiDataEntry * | gdaui_new_data_entry ()

## Description

## Functions

### gdaui_new_data_entry ()

    GdauiDataEntry *
    gdaui_new_data_entry (GType type,
                          const gchar *plugin_name);

Creates a new GdauiDataEntry widget, taking into account the requested entry name if `plugin_name` is not `NULL` (if no entry of that name is found, then the default data entry widget will be created).

The `plugin_name` format is interpreted as two parts: <plugin name>:<plugin options>, and if the plugins has no option, then the ":<plugin options>" part may be omitted.

#### Parameters

type | a GType |
plugin_name | the name of an entry plugin, or `NULL`. | [allow-none]

#### Returns

a new GdauiDataEntry widget, _NEVER_ `NULL`.

[transfer full]

## Types and Values